be.fgov.ehealth.bcp.protocol.v1

## Class ServiceType

- java.lang.Object
- - be.fgov.ehealth.bcp.protocol.v1.ServiceType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Service

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:08:22+01:00",
                 comments="JAXB RI v2.3.7")
      public class ServiceType
      extends Object
      implements Serializable

  Java class for ServiceType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ServiceType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Endpoint" maxOccurs="unbounded">
                 <complexType>
                   <simpleContent>
                     <extension base="<http://www.w3.org/2001/XMLSchema>anyURI">
                       <attribute name="Status" use="required" type="{urn:be:fgov:ehealth:bcp:protocol:v1}StatusType" />
                       <attribute name="Order" use="required" type="{http://www.w3.org/2001/XMLSchema}integer" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="Id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="Name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Endpoint>` | `getEndpoints()` Gets the value of the endpoints property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getName()` Gets the value of the name property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setName(String value)` Sets the value of the name property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceType

          public ServiceType()

  - ### Method Detail

    - #### getEndpoints

          public List<Endpoint> getEndpoints()

      Gets the value of the endpoints property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the endpoints property.

      For example, to add a new item, do as follows:

              getEndpoints().add(newItem);

      Objects of the following type(s) are allowed in the list `Endpoint`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getName

          public String getName()

      Gets the value of the name property.
      Returns:
        possible object is `String`

    - #### setName

          public void setName(String value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.